Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 163987 - [67cat] Javadoc example for ServiceProvider is incorrect
[67cat] Javadoc example for ServiceProvider is incorrect
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Lookup
6.x
PC Linux
: P4 (vote)
: 6.x
Assigned To: Jesse Glick
issues@platform
: NETFIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-28 23:19 UTC by Michel Graciano
Modified: 2009-05-20 13:51 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Proposed patch (832 bytes, patch)
2009-04-28 23:21 UTC, Michel Graciano
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michel Graciano 2009-04-28 23:19:13 UTC
[ BUILD # : 200904270201 ]
[ JDK VERSION : 1.6.* ]

IMO the javadoc should be:
ServiceProvider(service=Thing.class)
instead:
Service(Thing.class)

I will attach an patch soon.

Regards
Comment 1 Michel Graciano 2009-04-28 23:21:39 UTC
Created attachment 81137 [details]
Proposed patch
Comment 2 Michel Graciano 2009-04-28 23:23:41 UTC
Please, may anyone validate if it is correct?
Comment 3 Alexei Mokeev 2009-04-29 07:11:06 UTC
openide.util is tracked by Core team. Reassigning to Platform/documentation for evaluation.
Comment 4 Jiri Kovalsky 2009-05-14 09:53:24 UTC
Tondo, can you possibly integrate this simple patch? Thanks!
Comment 5 Antonin Nebuzelsky 2009-05-19 12:20:59 UTC
Jesse's code. Reassigning.
Comment 6 Jesse Glick 2009-05-19 17:33:31 UTC
core-main #a492b1dde880
Comment 7 Quality Engineering 2009-05-20 07:34:10 UTC
Integrated into 'main-golden', will be available in build *200905200201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/a492b1dde880
User: Jesse Glick <jglick@netbeans.org>
Log: #163987: Javadoc correction.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo